package com.aucma.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.base.mapper.BaseCustomDataMapper;
import com.aucma.base.domain.BaseCustomData;
import com.aucma.base.service.IBaseCustomDataService;

/**
 * 自定义数据维护Service业务层处理
 * 
 * @author Yinq
 * @date 2023-11-08
 */
@Service
public class BaseCustomDataServiceImpl implements IBaseCustomDataService 
{
    @Autowired
    private BaseCustomDataMapper baseCustomDataMapper;

    /**
     * 查询自定义数据维护
     * 
     * @param objId 自定义数据维护主键
     * @return 自定义数据维护
     */
    @Override
    public BaseCustomData selectBaseCustomDataByObjId(Long objId)
    {
        return baseCustomDataMapper.selectBaseCustomDataByObjId(objId);
    }

    /**
     * 查询自定义数据维护列表
     * 
     * @param baseCustomData 自定义数据维护
     * @return 自定义数据维护
     */
    @Override
    public List<BaseCustomData> selectBaseCustomDataList(BaseCustomData baseCustomData)
    {
        return baseCustomDataMapper.selectBaseCustomDataList(baseCustomData);
    }

    /**
     * 新增自定义数据维护
     * 
     * @param baseCustomData 自定义数据维护
     * @return 结果
     */
    @Override
    public int insertBaseCustomData(BaseCustomData baseCustomData)
    {
        return baseCustomDataMapper.insertBaseCustomData(baseCustomData);
    }

    /**
     * 修改自定义数据维护
     * 
     * @param baseCustomData 自定义数据维护
     * @return 结果
     */
    @Override
    public int updateBaseCustomData(BaseCustomData baseCustomData)
    {
        return baseCustomDataMapper.updateBaseCustomData(baseCustomData);
    }

    /**
     * 批量删除自定义数据维护
     * 
     * @param objIds 需要删除的自定义数据维护主键
     * @return 结果
     */
    @Override
    public int deleteBaseCustomDataByObjIds(Long[] objIds)
    {
        return baseCustomDataMapper.deleteBaseCustomDataByObjIds(objIds);
    }

    /**
     * 删除自定义数据维护信息
     * 
     * @param objId 自定义数据维护主键
     * @return 结果
     */
    @Override
    public int deleteBaseCustomDataByObjId(Long objId)
    {
        return baseCustomDataMapper.deleteBaseCustomDataByObjId(objId);
    }
}
